Bug 238610

Summary: comms/tits: version upgrade to 1.3.0
Product: Ports & Packages Reporter: Thomas Merkel <tm>
Component: Individual Port(s)Assignee: Michael Landin <mich>
Status: Closed FIXED    
Severity: Affects Only Me CC: w.schwarzenfeld
Priority: --- Flags: bugzilla: maintainer-feedback? (mich)
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
tits-1.3.0 patch to latest version none

Description Thomas Merkel 2019-06-16 12:53:12 UTC
Created attachment 205121 [details]
tits-1.3.0 patch to latest version

Provide an update of tits to 1.3.0. Tested on FreeBSD 12 STABLE.
Comment 1 Michael Landin freebsd_committer 2019-06-17 13:00:29 UTC
Hi,

What is the purpose of the patch-tty.c :

--- tty.c.orig	2011-01-15 13:48:44.000000000 +0100
+++ tty.c	2019-06-16 14:41:22.199765000 +0200
@@ -33,6 +33,7 @@
 #include <sys/filio.h>
 #include <sys/ioctl.h>
 #include <sys/stat.h>
+#include <sys/stat.h>

 #include <assert.h>
 #include <ctype.h>
Comment 2 Michael Landin freebsd_committer 2019-06-17 13:02:11 UTC
Also, the build fails on 11.x:


--- rtelnet.o ---
rtelnet.c:903:40: error: use of undeclared identifier 'IPPORT_ANONMAX'
                if (ro->ro_port < 0 || ro->ro_port > IPPORT_ANONMAX)
                                                     ^
1 error generated.
*** [rtelnet.o] Error code 1

make[1]: stopped in /usr/home/mich/ports/tits/work/tits-1.3.0
1 error
Comment 3 Michael Landin freebsd_committer 2019-06-17 13:38:08 UTC
Committed, thanks
Comment 4 commit-hook freebsd_committer 2019-06-17 13:38:08 UTC
A commit references this bug:

Author: mich
Date: Mon Jun 17 13:37:53 UTC 2019
New revision: 504422
URL: https://svnweb.freebsd.org/changeset/ports/504422

Log:
  - update to -> 1.3.0
  - cleanup Makefile to keep portlint happy
  - regenerate patches to keep portlint happy

  PR:		238610
  Submitted by:	Thomas Merkel <tm@NetBSD.org>

Changes:
  head/comms/tits/Makefile
  head/comms/tits/distinfo
  head/comms/tits/files/patch-Makefile
  head/comms/tits/files/patch-dispatcher.c
  head/comms/tits/files/patch-listener.c
  head/comms/tits/files/patch-rtelnet.c
  head/comms/tits/files/patch-tty.c